Deliver content via custom delivery

Deliver content via custom delivery options.

Content object should represent the repository in which you are delivering content from. See the section on Content Classes for additional details.

BODY PARAMETER DEFINITIONS

adHocInputs

Single variables are represented as an object such as:

{
  "name" : "field name here", 
  "value" : "the value to pass in"
}

Adhoc tables are represented as an object with columns and a set of rows such as:

{
  "name": "adhoc_4",
  "value": {
    "columns": ["StrCol", " IntCol"],
    "rows": [["hello", 1], ["goodbye", 2]]
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

Legacy name of the delivery option. Prefer using deliveryOptionId for unambiguous identification of the target delivery channel.

string

Unique identifier of the custom delivery option to use. Obtain from GET /integration/v2/delivery; must reference an enabled custom delivery option.

content
array of objects

One or more content items to deliver via the specified custom delivery channel.

content
adHocInputs
array of objects

Dynamic input values required by the custom delivery form. Field names and types are defined by GET /integration/v2/customDelivery/{deliveryOptionId}.

adHocInputs
Responses
204

No Content

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json